<!DOCTYPE html>
<html>
<head>
	 <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">


	<!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->

	<title>Bootstrap Grid System</title>

</head>
<body class="text-center">
	<h1>Boostrap Grid System</h1>

	<h2>Two Columns</h2>
	<div class="container-fluid">
		<!-- Row with two equally divided columns -->
		<h3>1:1 Ratio</h3>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 Col</div>
			
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
			
		</div>

		<!-- Row with 2 columns divided in 1:2 ratio -->
		<h3>1:2 Ratio</h3>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 Col</div>
		</div>

		<!-- Row with 2 columns divided into 1:3 ratio -->

		<h3>1:3 Ratio</h3>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 Col</div>
		</div>
	</div>

	<!-- Three Columns Start -->
		<h2>Three Columns</h2>
		<div class="container-fluid">
			<!-- Row with 3 equal columns -->
		<h3>1:1:1 Ratio</h3>
			<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 Col</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
			</div>
		</div>

		<!-- Row with 3 columns divided into 1:2:1 ratio -->
		<h3>1:2:1 Ratio</h3>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
		</div>

	<!-- Row with 3 columns divided into an uneven ratio -->
		<h3>Uneven Ratio</h3>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 Col</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-2">2 Col</div>
		</div>

		<!-- Automatic sizing Start -->

		<h2>Automatic Sizing</h2>
		<div class="container-fluid">
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			</div>
		</div>

		<!-- Mobile Responsive Columns Start -->
		<h2>Mobile Responsive Columns</h2>
		<div class="container-fluid">
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
			</div>
		</div>

		<!-- Multi-column Layouts Start -->
		<h2>Multi-Column Layouts</h2>
		<div class="container-fluid">
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 6</div>
			</div>
		</div>

		<!-- Offsetting Columns Start -->
		<h2>Offsetting Columns</h2>
		<div class="container-fluid">
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Column</div>
				<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column</div>
				<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column</div>
			</div>
		</div>

		<!-- Offset - allows to create a specified amount of space from the left side of a layer -->

		<!-- Column Orders Start -->
		<h2>Column Orders</h2>
		<div class="container-fluid">
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>	
				<div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
			</div>
		</div>

	<!-- Option 2: Separate Popper and Bootstrap JS -->
	    
	    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
	    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.min.js" integrity="sha384-+sLIOodYLS7CIrQpBjl+C7nPvqq+FbNUBDunl/OZv93DB7Ln/533i8e/mZXLi/P+" crossorigin="anonymous"></script>
	    
</body>
</html>